Create a team
Organization
Create a team
Add a team under an existing node of the organization tree.
Required scope organisation:add
post
/teamsAuthorizations
AuthorizationstringrequiredAuthorization header carrying a workspace API key, as “Bearer kbn_live_…”. The X-Api-Key header is accepted equivalently.
Bodyapplication/json
namestringrequiredName of the team.
parentOrganizationIdstring<uuid>requiredNode to create the team under.
iconstringIcon of the team.
Response201 · application/json
The team was created.
idstring<uuid>requiredIdentifier of the team.
namestringrequiredName of the team.
typestringrequiredKind of node: an organization or a business unit.
descriptionstring | nullFree-text description of the team.
iconstring | nullIcon of the team.
parentOrganizationIdstring<uuid> | nullParent node in the organization tree.
createdAtstring<date-time>Timestamp the team was created.
updatedAtstring<date-time>Timestamp of the last change.